Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionViewItemV3

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionViewItem
                      com.trolltech.qt.gui.QStyleOptionViewItemV2
                          com.trolltech.qt.gui.QStyleOptionViewItemV3

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleOptionViewItemV3

extends QStyleOptionViewItemV2

Nested Class Summary
`static class` | `QStyleOptionViewItemV3.StyleOptionVersion` Press link for info on QStyleOptionViewItemV3.StyleOptionVersion

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOptionViewItemV2
`QStyleOptionViewItemV2.ViewItemFeature, QStyleOptionViewItemV2.ViewItemFeatures`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOptionViewItem
`QStyleOptionViewItem.Position, QStyleOptionViewItem.StyleOptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QStyleOptionViewItemV3(QStyleOptionViewItemV3 other)` Creates a new QStyleOptionViewItemV3 that is a copy of `other`.

Method Summary
`static QStyleOptionViewItemV3` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionViewItemV3 instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QStyleOptionViewItemV3[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionViewItemV3 array.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionViewItemV2
`features, nativePointerArray, setFeatures, setFeatures`

Methods inherited from class com.trolltech.qt.gui.QStyleOptionViewItem
`decorationAlignment, decorationPosition, decorationSize, displayAlignment, font, nativePointerArray, setDecorationAlignment, setDecorationAlignment, setDecorationPosition, setDecorationSize, setDisplayAlignment, setDisplayAlignment, setFont, setShowDecorationSelected, setTextElideMode, showDecorationSelected, textElideMode`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionViewItemV3

    public QStyleOptionViewItemV3(QStyleOptionViewItemV3 other)

  Creates a new QStyleOptionViewItemV3 that is a copy of `other`.

Method Detail

### fromNativePointer

    public static QStyleOptionViewItemV3 fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionViewItemV3 instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionViewItemV3[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionViewItemV3 array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD